OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIS.Texture4D

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGISTexture4D :: MonadIO m => m Bool
- gl_SGIS_texture4D :: Bool
- gl_MAX_4D_TEXTURE_SIZE_SGIS :: GLenum
- gl_PACK_IMAGE_DEPTH_SGIS :: GLenum
- gl_PACK_SKIP_VOLUMES_SGIS :: GLenum
- gl_PROXY_TEXTURE_4D_SGIS :: GLenum
- gl_TEXTURE_4DSIZE_SGIS :: GLenum
- gl_TEXTURE_4D_BINDING_SGIS :: GLenum
- gl_TEXTURE_4D_SGIS :: GLenum
- gl_TEXTURE_WRAP_Q_SGIS :: GLenum
- gl_UNPACK_IMAGE_DEPTH_SGIS :: GLenum
- gl_UNPACK_SKIP_VOLUMES_SGIS :: GLenum
- glTexImage4DSGIS :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTexSubImage4DSGIS :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()

# Extension Support

glGetSGISTexture4D :: MonadIO m => m Bool

Is the SGIS_texture4D extension supported?

gl_SGIS_texture4D :: Bool

Is the SGIS_texture4D extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISTexture4D` in those cases instead.

# Enums

gl_MAX_4D_TEXTURE_SIZE_SGIS :: GLenum

gl_PACK_IMAGE_DEPTH_SGIS :: GLenum

gl_PACK_SKIP_VOLUMES_SGIS :: GLenum

gl_PROXY_TEXTURE_4D_SGIS :: GLenum

gl_TEXTURE_4DSIZE_SGIS :: GLenum

gl_TEXTURE_4D_BINDING_SGIS :: GLenum

gl_TEXTURE_4D_SGIS :: GLenum

gl_TEXTURE_WRAP_Q_SGIS :: GLenum

gl_UNPACK_IMAGE_DEPTH_SGIS :: GLenum

gl_UNPACK_SKIP_VOLUMES_SGIS :: GLenum

# Functions

glTexImage4DSGIS

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLsizei | `size4d`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height,depth,size4d)` elements of type `a`.
-> m () |

glTexSubImage4DSGIS

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLint | `woffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLsizei | `size4d`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height,depth,size4d)` elements of type `a`.
-> m () |